Install the setserial program in /usr/bin instead of /bin, and make
sure that the directories (especially the manpages directory) are
created before installing files to them. This is similar to what
automake does.

Signed-off-by: Thomas Petazzoni <thomas.petazzoni@free-electrons.com>
---
 Makefile.in |    7 ++++---
 1 file changed, 4 insertions(+), 3 deletions(-)

Index: setserial-2.17/Makefile.in
===================================================================
--- setserial-2.17.orig/Makefile.in
+++ setserial-2.17/Makefile.in
@@ -26,9 +26,10 @@ setserial.cat: setserial.8
 	nroff -man setserial.8 > setserial.cat
 
 install: setserial setserial.8
-	$(INSTALL_PROGRAM) setserial $(DESTDIR)/bin
-	$(STRIP) $(DESTDIR)/bin/setserial
-	$(INSTALL_DATA) setserial.8 $(DESTDIR)/usr/man/man8
+	mkdir -p $(DESTDIR)/usr/bin
+	$(INSTALL_PROGRAM) setserial $(DESTDIR)/usr/bin
+	mkdir -p $(DESTDIR)/usr/share/man/man8
+	$(INSTALL_DATA) setserial.8 $(DESTDIR)/usr/share/man/man8
 
 clean:
 	$(RM) setserial setserial.o setserial.cat *~
